/**************/
/* Filter Bar */
/**************/
.filter_bar {
	background-color: #ffffff;
	border-radius: 2px;
	box-shadow: 0 1px 6px rgba(0, 0, 0, 0.12), 0 1px 4px rgba(0, 0, 0, 0.12);
	box-sizing: border-box;
	color: #000;
	display: inline-block;
	float: left;
	overflow: hidden;
	padding: 10px;
	width: 200px;
}

.skin-hydradark .filter_bar {
	background-color: #303030;
	color: #fff;
}

.filter_bar > form {
	overflow: hidden;
}

.filter_bar form fieldset > * {
	box-sizing: border-box;
	display: inline-block;
	margin: 4px 0;
	width: 100%;
}

.filter_bar form fieldset > label, .filter_bar form fieldset > .named_filter {
	margin-top: 12px;
}

.filter_bar form fieldset > label, .filter_bar .slider_range {
	line-height: 1em;
}

.filter_bar .ui-slider .ui-slider-range {
	background: orange none repeat scroll 0 0;
}

.filter_bar form fieldset .ui-slider-horizontal {
	box-sizing: initial;
	margin-left: 0.6em;
	width: calc(100% - 1.2em);
}

.filter_bar fieldset {
	display: block;
	margin: 0;
	padding: 0;
	border: 0 none;
}

.filter_bar .ui-slider .value {
	color: #000;
	display: block;
	font-family: Verdana,Arial,sans-serif;
	font-size: 10px;
	font-weight: normal;
	left: 50%;
	margin: 0 0 0 -20px;
	position: absolute;
	text-align: center;
	top: 12px;
	width: 40px;
}

.skin-hydradark .filter_bar .ui-slider .value {
	color: #fff;
}

.filter_bar .ui-slider .price-range-both.value {
	margin: 0 0 0 -50px;
	top: 12px;
	width: 100px;
}

.filter_bar .ui-slider .price-range-both {
	display: none;
}

.filter_bar .named_filter > ul {
	list-style: outside none none;
	margin: 0;
}

.filter_bar .named_filter input {
	margin-left: 0;
}

.filter_bar form fieldset > label, .filter_bar .named_filter > span {
	font-weight: bold;
}

.filter_bar a.mw-ui-button {
	line-height: 1.2em;
}

/*********************/
/* Subscription List */
/*********************/
#userengagement_list {
	margin-left: 200px;
	padding: 0 10px;
}

#userengagement_list table {
	border-collapse: separate;
	border-spacing: 0 4px;
	padding: 0;
	width: 100%;
}

#userengagement_list table tr {
	background-color: #ffffff;
	border-radius: 2px;
	box-shadow: 0 1px 6px rgba(0, 0, 0, 0.12), 0 1px 4px rgba(0, 0, 0, 0.12);
	box-sizing: border-box;
	color: #000;
	overflow: hidden;
}

#userengagement_list table th {
	padding: 0 4px;
}

.skin-hydradark #userengagement_list table tr {
	background-color: #303030;
	color: #fff;
}

#userengagement_list table tr td {
	border-color: #ddd;
	border-image: none;
	border-style: solid;
	border-width: 0 1px 0 0;
	padding: 10px;
}

.skin-hydradark #userengagement_list table tr td {
	border-color: #000;
}

#userengagement_list table tr td:last-child {
	border-width: 0;
}

#userengagement_list table .active {
	text-align: center;
}

#userengagement_list .pagination:first-child {
	margin-top: 0;
}

#userengagement_list .pagination:last-child {
	margin-bottom: 0;
}

#userengagement_list .collapse {
	min-width: 1%;
	white-space: nowrap;
}

#userengagement_list .controls a {
	text-decoration: none;
}

.skin-hydradark #userengagement_list .controls a {
	filter: invert(100%);
}

.engagement_list > li {
	position: relative;
}

.engagement_list li > span {
	background-color: #ffffff;
	border-radius: 2px;
	box-shadow: 0 1px 6px rgba(0, 0, 0, 0.12), 0 1px 4px rgba(0, 0, 0, 0.12);
	box-sizing: border-box;
	color: #000;
	display: none;
	padding: 10px;
	position: absolute;
	z-index: 100;
}

.skin-hydradark .engagement_list li > span {
	background-color: #303030;
	color: #fff;
}

.engagement_list li:hover > span {
	display: block;
}

.engagement_list li > span .historical_points {
	display: block;
}

#userengagement_list form, #userengagement_list fieldset {
	border: none;
	margin: 0;
	padding: 0;
}

#userengagement_list .controls {
	width: 1px;
}

.engagement_notes {
	display: none;
}

.engagement_notes.popupWrapper {
	background-color: rgba(70, 70, 70, 0.6);
	border-radius: 4px;
	box-shadow: 0 12px 25px rgba(0, 0, 0, 0.7);
	left: 50%;
	min-height: 30%;
	min-width: 30%;
	padding: 4px;
	position: fixed;
	top: 50%;
	transform: translate(-50%, -50%);
	z-index: 1000;
}

.engagement_notes .popupInner {
	background: none repeat scroll 0 0 #FFFFFF;
	box-shadow: 0 0 3px rgba(0, 0, 0, 0.4);
	overflow-x: hidden;
	overflow-y: auto;
	padding: 10px;
}

	.skin-hydradark .engagement_notes .popupInner {
		background: none repeat scroll 0 0 #000;
	}

.engagement_message {
	min-height: 320px;
	min-width: 744px;
}

div.buttons.popup {
	margin-bottom: 0;
}